export class CSSStyleSheetStrategy {
    execute(element, styles, sharedStyles = '') {
        const sharedStyleSheet = new CSSStyleSheet();
        sharedStyleSheet.replaceSync(sharedStyles);
        const styleSheet = new CSSStyleSheet();
        styleSheet.replaceSync(styles);
        const elementRoot = this.getElementRoot(element);
        elementRoot.adoptedStyleSheets = [
            sharedStyleSheet,
            ...elementRoot.adoptedStyleSheets,
            styleSheet
        ];
    }
    getElementRoot(element) {
        if ('shadowRoot' in element) {
            return element.shadowRoot;
        }
        return element;
    }
}
//# sourceMappingURL=css-style-sheet-strategy.js.map