import { renderFromString } from './render-from-string-strategy.js';
import { renderFromElement } from './render-from-element-strategy.js';
export function applyHTML(context, content) {
    if (typeof content === 'string' || content instanceof String) {
        return renderFromString(context, content);
    }
    try {
        return renderFromElement(context, content);
    }
    catch {
        console.info('Received content:', content);
        throw new TypeError('Unexpected content type');
    }
}
//# sourceMappingURL=apply-html.js.map